Class | Irc::Bot::MessageTemplate
In: | lib/rbot/messagemapper.rb
Parent: | Object

MessageTemplate is the class that holds the actual message template map()’d by a BotModule and handled by a MessageMapper

### Methods

inspect items= new recognize regexp= requirements_for set_auth_path

### Attributes

botmodule | [R] |
defaults | [R] |
items | [R] |
options | [R] |
regexp | [R] |
template | [R] |

### Public Class methods

initialize(botmodule, template, opts={})

Create a new MessageTemplate associated to BotModule botmodule, with template template and options opts

### Public Instance methods

inspect()
items=(str)
recognize(m)

Recognize the provided string components, returning a hash of recognized values, or [nil, reason] if the string isn‘t recognized.

regexp=(str)
requirements_for(name)
set_auth_path(hash)

[Validate]